Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235983 - Change of track in rhythmbox triggers an assertion fail in gnome-volume-control
Summary: Change of track in rhythmbox triggers an assertion fail in gnome-volume-control
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 08:03 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-14 05:59:52 UTC


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-04-11 08:03:07 UTC
Description of problem:

Rhythmbox finishes playing one track and starts playing another, or I hit the
forward button, gnome-volume-control aborts at failed assertion.

Version-Release number of selected component (if applicable):

I am not sure which components are interesting (it might even be, that
component this bug is assigned to is wrong, please reassign if it is the case).

alsa-lib-1.0.14-0.1.rc1.fc6
gnome-media-2.16.1-2.fc6
gstreamer-plugins-base-0.10.10-1.fc6

These ones can be seen in the backtrace. All other packages are updated to
latest versions at the time I write this report. As the problem occurs on
clean and updated install of FC6, and doesn't occur on my other FC6 machine,
so I suspect it might be hardware/driver dependend. See my smolt hardware
profile [1] for details on my machine.

[1] http://smolt.fedoraproject.org/show?UUID=0714bbed-8b5c-4380-83f3-00dff9ec1c42

How reproducible:

Always on that specific machine.

Steps to Reproduce:
1. Run rhythmbox, start playing a track
2. Run gnome-audio-control
3. Change track in rhythmbox
  
Actual results:

Crash at ASSERT.

Expected results:

;)

Additional info:

Below's a gdb session with a backtrace. Feel free to tell me if you need
more details.

$ gdb gnome-volume-control
(gdb) run
[Thread debugging using libthread_db enabled]
[New Thread -1208928560 (LWP 13922)]

(change track in rhythmbox)

gnome-volume-control: simple.c:370: snd_mixer_selem_get_playback_volume:
Assertion `(elem)->type == SND_MIXER_ELEM_SIMPLE' failed.

Program received signal SIGABRT, Aborted.
[Switching to Thread -1208928560 (LWP 13922)]
0x00f43402 in __kernel_vsyscall ()
(gdb) bt
#0  0x00f43402 in __kernel_vsyscall ()
#1  0x0018bd40 in raise () from /lib/libc.so.6
#2  0x0018d591 in abort () from /lib/libc.so.6
#3  0x0018538b in __assert_fail () from /lib/libc.so.6
#4  0x059482e1 in snd_mixer_selem_get_playback_volume (elem=0x97f9130,
channel=13922, value=0xbfcca998) at simple.c:370
#5  0x002ed43d in gst_alsa_mixer_get_volume (mixer=0x97d7388, track=0x97ed450,
volumes=0x99a6838) at gstalsamixer.c:339
#6  0x002eebd9 in gst_alsa_mixer_element_get_volume (mixer=0x97b8058,
track=0x97ed450, volumes=0x99a6838)
    at gstalsamixerelement.c:50
#7  0x008f1b0d in gst_mixer_get_volume (mixer=0x97b8058, track=0x97ed450,
volumes=0x99a6838) at mixer.c:190
#8  0x0805000a in gnome_volume_control_volume_ask (vol=0x97746b8,
real_zero=0xbfccaa38, slider_zero=0xbfccaa34)
    at volume.c:545
#9  0x0804f719 in cb_check (data=0x98f2728) at track.c:119
#10 0x00af7a16 in g_source_get_current_time () from /lib/libglib-2.0.so.0
#11 0x00af7442 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#12 0x00afa41f in g_main_context_check () from /lib/libglib-2.0.so.0
#13 0x00afa7c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#14 0x027794b4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x0804dbdd in main (argc=Cannot access memory at address 0x3662
) at main.c:217
(gdb) up 4
#4  0x059482e1 in snd_mixer_selem_get_playback_volume (elem=0x97f9130,
channel=13922, value=0xbfcca998) at simple.c:370
370             CHECK_BASIC(elem);
(gdb) print *elem
$2 = {
  type = 159436280, 
  list = {
    next = 0x29d198, 
    prev = 0x9813684
  }, 
  class = 0x97f0fc8, 
  private_data = 0x97f8e98, 
  private_free = 0x5949ec0 <selem_free>, 
  callback = 0, 
  callback_private = 0x0, 
  helems = {
    next = 0x97f9150, 
    prev = 0x97f9150
  }, 
  compare_weight = 6001
}
(gdb)

Comment 1 Bastien Nocera 2007-04-17 09:10:56 UTC
This is a crash in alsa-lib, reassigning.

Comment 2 Lubomir Kundrak 2007-06-06 07:21:45 UTC
Are there any updates on what is being done about the issue?

Comment 3 Martin Stransky 2007-06-06 07:24:28 UTC
any updates yet. eventually you can check the latest packages (1.0.14rc4),
how-to is at http://people.redhat.com/stransky/alsa/

Comment 4 Lubomir Kundrak 2007-07-17 10:03:18 UTC
Martin: Thanks, the new alsa packages (alsa-lib-1.0.14-0.5.rc4) fix the issue.


Note You need to log in before you can comment on or make changes to this bug.